Kerbal Space Program - Bug #18071

5m Fairing Truss & Node Positions
03/16/2018 12:40 AM - skystorm

Status: Closed Start date: 03/16/2018
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version: 1.4.2

Version: 1.41 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

The new 5m fairing (fairingSize4) has the same truss scale and node positions as the 3.75m fairing (fairingSize3). The truss scale

and node positions need to be corrected.
Here is the relevant portion of fairingSize4.cfg:

MODEL {

model = Squad/Parts/Aero/fairings/AutoTruss
scale = 3,3,3

position = 0.0,0.22,0.0

1

node_stack_interstage01a = 0.0, 1.68, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstageO1b = 0.0, 1.76, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage02a = 0.0, 3.18, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage02b = 0.0, 3.26, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage03a = 0.0, 4.68, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage03b = 0.0, 4.76, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage04a = 0.0, 6.18, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage04b = 0.0, 6.26, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage05a = 0.0, 7.68, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage05b = 0.0, 7.76, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage06a = 0.0, 9.18, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage06b = 0.0, 9.26, 0.0, 0.0, 1.0, 0.0, 2

Based on the scaling between the various fairings, the actual values should be:

MODEL {

model = Squad/Parts/Aero/fairings/AutoTruss
scale = 4,44

position = 0.0,0.22,0.0

}

node_stack_interstage01a = 0.0, 2.17, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstageO1b = 0.0, 2.27, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage02a = 0.0, 4.17, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage02b = 0.0, 4.27, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage03a = 0.0, 6.17, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage03b = 0.0, 6.27, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage04a = 0.0, 8.17, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage04b = 0.0, 8.27, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage05a = 0.0, 10.17, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage05b = 0.0, 10.27, 0.0, 0.0, 1.0, 0.0, 2

node_stack_interstage06a = 0.0, 12.17, 0.0, 0.0, -1.0, 0.0, 2
node_stack_interstage06b = 0.0, 12.27, 0.0, 0.0, 1.0, 0.0, 2

History

#2 - 03/29/2018 11:55 AM - Squelch
- Status changed from New to Ready to Test
- Target version set to 1.4.2

- % Done changed from 0 to 80

#3 - 02/25/2019 03:49 PM - klesh
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

This was fixed a long time ago but never updated, or closed, or resolved or whatever.

#4 - 03/28/2019 03:31 AM - joshua.collins

- Status changed from Resolved to Closed
